package com.huiju.welcome.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaGoodsOrders;
import com.huiju.welcome.model.TdGoodsType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Mapper
public interface TaGoodsOrdersMapper extends BaseMapper<TaGoodsOrders> {
    /**
     *
     * @param pg
     * @param userName
     * @param userId
     * @param ordersNo
     * @return
     */
    IPage<TaGoodsOrders> goodsOrderList(IPage<TaGoodsOrders> pg, @Param("userName") String userName,@Param("userId")Integer userId,@Param("ordersNo")String ordersNo,@Param("customerId") Integer customerId);

    TaGoodsOrders getRecentOrder(@Param("customerId")Integer customerId);

}
