package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TaCustomerTransferMapper;
import com.huiju.welcome.model.TaCustomerTransfer;
import com.huiju.welcome.service.ITaCustomerTransferService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TaCustomerTransferServiceImpl extends ServiceImpl<TaCustomerTransferMapper, TaCustomerTransfer> implements ITaCustomerTransferService {
    @Autowired
    private TaCustomerTransferMapper taCustomerTransferMapper;

    @Override
    public ResponseBean customerTransferList(IPage<TaCustomerTransfer> pg, String fromUserName,Integer fromUserId,String toUserName,Integer toUserId) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TaCustomerTransfer> list= taCustomerTransferMapper.customerTransferList(pg,fromUserName,fromUserId,toUserName,toUserId);
        responseBean.addSuccess(list);
        return responseBean;
    }

}
