package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 成交记录表
 * </p>
 *
 * @author jobob
 * @since 2019-07-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaTransactionRecord implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = "record_id", type = IdType.AUTO)
    private Integer recordId;

    private Integer customerId;

    private String customerName;

    private String customerIdcard;

    private Integer tradingRelationship;

    private String tradingHouseNumber;

    private String tradingHouseType;

    private String tradingHouseArea;

    private String tradingPlanPrice;

    private String coupon;

    private String tradingRealPrice;

    private String carNumber;

    private String carBrand;

    private Integer parkingSpace;

    private String visitingRecord;

    private String transactionCycle;

    private String activity;

    private String projectProposal;


}
